net.sourceforge.pmd.lang.xml.ast

## Class XmlParser.XmlNodeInvocationHandler

- java.lang.Object
- - net.sourceforge.pmd.lang.xml.ast.XmlParser.XmlNodeInvocationHandler

- All Implemented Interfaces:
    InvocationHandler
  Enclosing class:
    XmlParser

      public class XmlParser.XmlNodeInvocationHandler
      extends Object
      implements InvocationHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlParser.XmlNodeInvocationHandler(Node node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(Object proxy, Method method, Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlParser.XmlNodeInvocationHandler

          public XmlParser.XmlNodeInvocationHandler(Node node)

  - ### Method Detail

    - #### invoke

          public Object invoke(Object proxy,
                      Method method,
                      Object[] args)
                        throws Throwable

      Specified by:
        `invoke` in interface `InvocationHandler`
      Throws:
        `Throwable`

Copyright © 2002-2013 InfoEther. All Rights Reserved.